
-target 1.8
-dontshrink
-dontoptimize
-dontusemixedcaseclassnames
-useuniqueclassmembernames
-dontusemixedcaseclassnames
-adaptclassstrings
-keepattributes Exceptions,InnerClasses,Signature,Deprecated,SourceFile,LineNumberTable,*Annotation*,EnclosingMethod
-keepnames interface ** { *; }
#-keep interface * extends * { *; }
-keepattributes MethodParameters
-keepparameternames
-keepclassmembers enum * { *; }
-keeppackagenames com.inspect.metadata
-keepclassmembers class * {
                        @org.springframework.context.annotation.Bean *;
                        @org.springframework.beans.factory.annotation.Autowired *;
                        @org.springframework.beans.factory.annotation.Value *;
                        @org.springframework.stereotype.Service *;
                        @org.springframework.stereotype.Component *;
                        @org.apache.ibatis.annotations.Mapper *;
                        }

-ignorewarnings
-dontnote
-printconfiguration

-keep class com.inspect.metadata.*.controller.** { *; }

-keep class com.inspect.metadata.*.mapper.** { *; }
-keep class com.inspect.metadata.*.vo.** { *; }
-keep class com.inspect.metadata.*.util.** { *; }
-keep class com.inspect.metadata.*.domain.** { *; }
-keep class com.inspect.metadata.*.domain.*.** { *; }
-keep class com.inspect.metadata.*.service.*.** { *; }
-keep class com.inspect.metadata.montdata.montenum.** { *; }
-keep class com.inspect.metadata.montdatamqhandle.service.** { *; }
-keep class com.inspect.metadata.websocketutil.** { *; }
-keep class com.inspect.metadata.mqutil.** { *; }
-keep class com.inspect.metadata.montdatamqhandle.** { *; }

-keepclassmembers class * implements java.io.Serializable {*;}

-keep public class com.inspect.metadata.InspectMetadataApplication {
        public static void main(java.lang.String[]);
    }